de.esprit.netsuite.netdata.enums

## Enum ConnectionStatus

- java.lang.Object
- - java.lang.Enum<ConnectionStatus>
  - - de.esprit.netsuite.netdata.enums.ConnectionStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionStatus>

      public enum ConnectionStatus
      extends java.lang.Enum<ConnectionStatus>

  This enum defines in which status a connection can be
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTED`
    `DISCONNECTED`
    `LOST_CONNECTION`
    `RECONNECTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isConnected()`
    `boolean` | `isConnectionLost()`
    `boolean` | `isDisconnected()`
    `boolean` | `isOffline()`
    `boolean` | `isOnline()`
    `boolean` | `isReconnected()`
    `static ConnectionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTED

          public static final ConnectionStatus CONNECTED

    - #### RECONNECTED

          public static final ConnectionStatus RECONNECTED

    - #### DISCONNECTED

          public static final ConnectionStatus DISCONNECTED

    - #### LOST_CONNECTION

          public static final ConnectionStatus LOST_CONNECTION

  - ### Method Detail

    - #### values

          public static ConnectionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionStatus c : ConnectionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isConnected

          public boolean isConnected()

    - #### isReconnected

          public boolean isReconnected()

    - #### isDisconnected

          public boolean isDisconnected()

    - #### isConnectionLost

          public boolean isConnectionLost()

    - #### isOffline

          public boolean isOffline()

    - #### isOnline

          public boolean isOnline()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.